## wtforms 3.1.1

=== docs/requirements.txt ===
Sphinx~=4.2.0
Pallets-Sphinx-Themes~=2.0.1
sphinx-issues~=1.2.0
sphinxcontrib-log-cabinet~=1.0.1
python-dateutil~=2.8.1

## wtforms 2.0.2

=== debian/changelog ===
wtforms (2.0.2-2) unstable; urgency=medium

  * Team upload.

  [ Vincent Bernat ]
  * Fix long description of python3-wtforms and python-wtforms-doc.
    Closes: #800076.

  [ Orestis Ioannou ]
  * Add django-localflavor dependency Closes: #801940
  * Add doc-base document
  * Use DEP-5 standard license names in copyright 
  * New VCS fields due to the git transition
  * Change in maintainership
  * Moved d/compat to version 9
  
 -- Orestis Ioannou <orestis@oioannou.com>  Fri, 23 Oct 2015 22:40:56 +0200

wtforms (2.0.2-1) unstable; urgency=medium
  
  * Team upload.
  * New upstream release. Closes: #751835, #738757.
  * Add python 3 package. Closes: #780600, #782966.
  * copyright file updated to DEP-5
  * Switched to pybuild
  * Moved to Standards-Version: 3.9.6
  * Switched to 3.0 quilt patch format
  * Added a patch to fix failing tests due to Django not being setup
  * Created separate documentation package
  * Make the build reproducible by using last changelog entry as today
    date for documentation. Closes: #788599. Thanks to Juan Picca for the
    patch.
  * Add a symlink to the appropriate CSS for documentation.

 -- Orestis Ioannou <orestis@oioannou.com>  Mon, 14 Sep 2015 17:51:19 +0200

wtforms (2.0.1-1) unstable; urgency=medium

  * New upstream version
  * Add python-setuptools as build-dependency

 -- Bernd Zeimetz <bzed@debian.org>  Sun, 05 Oct 2014 12:32:12 +0200

wtforms (1.0.5-1) unstable; urgency=medium

  * Team upload.

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

  [ Christian Hofstaedtler ]
  * New upstream version.
  * Upstream has moved, update debian/watch file.
  * Replace sphinx-bundled underscore.js with link to libjs-underscore.
  * Bump Standards-Version to 3.9.5, no changes needed.

 -- Christian Hofstaedtler <zeha@debian.org>  Sat, 26 Jul 2014 23:53:44 +0200

wtforms (1.0.1-1) unstable; urgency=low

  [ Bernd Zeimetz ]
  * New upstream version.
  * Set PYTHONPATH for tests. 
  * Ignoring test results for now, they fail due to missing translations.
  * Migrate to dh_python2 

  [ Jakub Wilk ]
  * Add Vcs-* fields.

 -- Bernd Zeimetz <bzed@debian.org>  Sun, 15 Apr 2012 16:38:10 +0200

wtforms (0.6.2-1) unstable; urgency=low

  * New upstream version.

 -- Bernd Zeimetz <bzed@debian.org>  Wed, 20 Oct 2010 10:57:52 +0200

wtforms (0.6.1-2) unstable; urgency=low

  * Add build dependency on python (>= 2.5.4-5~) | python-pysqlite2
    for easy backporting.
  * Running tests requires sqlalchemy >= 0.5. 
  * Sphinx 0.6 is required to build the documentation. 
  * Remove unnecessary 'A' from the short description. 

 -- Bernd Zeimetz <bzed@debian.org>  Wed, 20 Oct 2010 10:50:09 +0200

wtforms (0.6.1-1) unstable; urgency=low

  * Initial upload.

 -- Bernd Zeimetz <bzed@debian.org>  Sun, 17 Oct 2010 16:35:10 +0200

=== debian/control ===
Source: wtforms
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Orestis Ioannou <orestis@oioannou.com>
Section: python
Priority: optional
Build-Depends: debhelper (>=9),
               python-all,
               dh-python,
               python-setuptools,
               python3-all,
               python3-setuptools,
               python-sqlalchemy (>= 0.5),
               python-django,
               python-dateutil,
               python-sphinx (>= 0.6), 
               python3-sqlalchemy,
               python3-django,
               python3-dateutil,
               python3-sphinx,
               python-babel,
               python3-babel,
               python-coverage,
               python3-coverage,
               python-django-localflavor,
               python3-django-localflavor
Standards-Version: 3.9.6
X-Python-Version: >= 2.6
X-Python3-Version: >=3.3
Homepage: http://wtforms.simplecodes.com/
Vcs-Git: git://anonscm.debian.org/python-modules/packages/wtforms.git
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/wtforms.git

Package: python-wtforms
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Suggests: python-sqlalchemy (>=0.5), python-django, python-django-localflavor
Description: flexible forms validation and rendering library for Python 2
 WTForms is a HTML form field generator which allows full customization
 with templates, using the template engine of your choice. It also allows
 one to create forms based on ORM models from Django, SqlAlchemy and the
 Google Appengine.
 .
 This package contains the module for Python 2.

Package: python3-wtforms
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Suggests: python3-sqlalchemy, python3-django, python3-django-localflavor
Description: flexible forms validation and rendering library for Python 3
 WTForms is a HTML form field generator which allows full customization
 with templates, using the template engine of your choice. It also allows
 one to create forms based on ORM models from Django, SqlAlchemy and the
 Google Appengine.
 .
 This package contains the module for Python 3.

Package: python-wtforms-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: flexible forms validation and rendering library for Python (doc)
 Documentation for WTForms. WTForms is a HTML form field generator which
 allows full customization with templates, using the template engine of your
 choice. It also allows one to create forms based on ORM models from Django,
 SqlAlchemy and the Google Appengine.
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f

LAST_CHANGE = $(shell dpkg-parsechangelog -S Date)
BUILD_DATE  = $(shell LC_ALL=C date -u "+%B %d, %Y" -d "$(LAST_CHANGE)")
SPHINXOPTS := -D today=\"$(BUILD_DATE)\"

export PYBUILD_NAME=wtforms
%:
	dh $@ --with sphinxdoc,python2,python3 --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	rm docs/_templates/layout.html
	cd docs && make html SPHINXOPTS="$(SPHINXOPTS)"

override_dh_auto_install:
	dh_auto_install
	chmod 644 debian/*/usr/lib/python*/dist-packages/wtforms/locale/*/LC_MESSAGES/wtforms.mo

## wtforms 2.1

=== debian/changelog ===
wtforms (2.1-1) unstable; urgency=low

  * Team upload.

  * Drop django extension and hence django deps. This extensions
  is deprecated upstream in the 2.0 release and it is generating
  tests failures with the django in testing.
  * Use python-coverage to run tests Closes: #808693
  * Remove useless patches due to removing the django extension
  * New upstream release

 -- Orestis Ioannou <orestis@oioannou.com>  Tue, 08 Dec 2015 00:59:56 +0100

=== debian/control ===
--- 
+++ 
@@ -10,19 +10,14 @@
                python3-all,
                python3-setuptools,
                python-sqlalchemy (>= 0.5),
-               python-django,
                python-dateutil,
                python-sphinx (>= 0.6), 
                python3-sqlalchemy,
-               python3-django,
                python3-dateutil,
                python3-sphinx,
                python-babel,
                python3-babel,
-               python-coverage,
-               python3-coverage,
-               python-django-localflavor,
-               python3-django-localflavor
+               python-coverage
 Standards-Version: 3.9.6
 X-Python-Version: >= 2.6
 X-Python3-Version: >=3.3

=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,9 @@
 %:
 	dh $@ --with sphinxdoc,python2,python3 --buildsystem=pybuild
 
+override_dh_auto_test:
+	python-coverage run tests/runtests.py
+
 override_dh_auto_build:
 	dh_auto_build
 	rm docs/_templates/layout.html

## wtforms 2.2.1

=== debian/changelog ===
wtforms (2.2.1-4) unstable; urgency=medium

  * Team upload.
  * [85c5192] compile gettext translations during build and distribute in pkg
    (Closes: #1016567)
  * [a2d69e6] fix running testsuite during build
  * [79f7b40] skip broken ext_sqlalchemy tests -- unsupported by upstream
    see: https://github.com/wtforms/wtforms/issues/696
  * [ae6c355] run upstream tests as autopkgtest

 -- Joseph Nahmias <jello@debian.org>  Wed, 03 Aug 2022 22:49:31 -0400

wtforms (2.2.1-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Use correct machine-readable copyright file URI.
  * Bump debhelper from deprecated 9 to 12.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
  * Set upstream metadata fields: Contact.

 -- Sandro Tosi <morph@debian.org>  Sat, 04 Jun 2022 22:05:51 -0400

wtforms (2.2.1-2) unstable; urgency=medium

  * Team upload.
  * Use debhelper-compat instead of debian/compat.
  * Drop Python 2 support.

 -- Ondřej Nový <onovy@debian.org>  Sat, 24 Aug 2019 22:59:54 +0200

wtforms (2.2.1-1) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field
  * Convert git repository from git-dpm to gbp layout

  [ Christoph Berg ]
  * New upstream version. (Closes: #908277)
  * Set HAS_SOURCE in docs template, dh_sphinxdoc wants it.
  * Disable appengine and django tests, missing requirements.
  * Clean files properly at build time.

 -- Christoph Berg <christoph.berg@credativ.de>  Mon, 01 Oct 2018 12:03:57 +0200

wtforms (2.1-2) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * Fixed VCS URL (https)
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * d/changelog: Remove trailing whitespaces
  * d/control: Remove trailing whitespaces

  [ Christoph Berg ]
  * Fix incompatibility with new sqlalchemy within identity_key().
    Closes: #893883.
  * Bump Standards-Version.

 -- Christoph Berg <christoph.berg@credativ.de>  Tue, 08 May 2018 09:30:19 +0200

=== debian/control ===
Source: wtforms
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Orestis Ioannou <orestis@oioannou.com>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-setuptools,
               python3-sqlalchemy,
               python3-dateutil,
               python3-sphinx,
               python3-babel,
Standards-Version: 4.1.4
Homepage: http://wtforms.simplecodes.com/
Vcs-Git: https://salsa.debian.org/python-team/packages/wtforms.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/wtforms

Package: python3-wtforms
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Suggests: python3-sqlalchemy, python3-django, python3-django-localflavor
Description: flexible forms validation and rendering library for Python 3
 WTForms is a HTML form field generator which allows full customization
 with templates, using the template engine of your choice. It also allows
 one to create forms based on ORM models from Django, SqlAlchemy and the
 Google Appengine.
 .
 This package contains the module for Python 3.

Package: python-wtforms-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: flexible forms validation and rendering library for Python (doc)
 Documentation for WTForms. WTForms is a HTML form field generator which
 allows full customization with templates, using the template engine of your
 choice. It also allows one to create forms based on ORM models from Django,
 SqlAlchemy and the Google Appengine.
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f

LAST_CHANGE = $(shell dpkg-parsechangelog -S Date)
BUILD_DATE  = $(shell LC_ALL=C date -u "+%B %d, %Y" -d "$(LAST_CHANGE)")
SPHINXOPTS := -D today=\"$(BUILD_DATE)\"

export PYBUILD_NAME=wtforms
%:
	dh $@ --with sphinxdoc,python3 --buildsystem=pybuild

override_dh_auto_test:
ifeq (, $(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	dh_auto_test -- --system=custom --test-args \
		"cd {build_dir}; \
		rm -f tests/ext_sqlalchemy.py; \
		{interpreter} tests/runtests.py -v"
endif

override_dh_auto_build:
	pybabel compile -D wtforms -d wtforms/locale
	dh_auto_build
	rm -f docs/_templates/layout.html
	cd docs && make html SPHINXOPTS="$(SPHINXOPTS)"

=== debian/tests/control ===
Tests: upstream
Depends:
 python3-all,
 python3-babel,
 python3-dateutil,
 python3-wtforms,
Restrictions: allow-stderr

## wtforms 3.0.1

=== debian/changelog ===
wtforms (3.0.1-2) unstable; urgency=medium

  * Team upload.
  * autopkgtest: Re-add python3-babel as dep

 -- Carsten Schoenert <c.schoenert@t-online.de>  Tue, 22 Nov 2022 23:17:58 +0100

wtforms (3.0.1-1) unstable; urgency=medium

  * Team upload.
  * d/watch: Switch to version 4, move to git mode
  * d/gbp.conf: Add some basic default configuration
  * New upstream version 3.0.1
  * Rebuild patch queue from patch-queue branch
    Added patch:
    docs-Don-t-use-external-intersphinx.patch
    Removed patch (obsolete):
    has_source
  * d/copyright: Update upstream data and content
  * d/README.source: Adding base information about source
  * d/u/metadata: Add data for FAQ entry
  * d/control: Run wrap-and-sort -ast
    No modifications, just reorder the existing data.
  * d/control: Sort binary packages alphabetical
    Increasing the readability as human like to see things in a alphabetical
    order.
  * d/control: Remove not needed, add new required build dependencies
    The version bump to 3 comes wit a lot a upstream changes that making some
    packages not needed any more for the package build, otoh we need other
    newly packages for the test suite and the documentation to build.
  * python-wtforms-doc: Use dh_sphinxdoc for package build
  * d/rules: Adjust test suite call using pytest
  * d/rules: Adjust package build steps
  * d/control: Bump Standards-Version to 4.6.1
    No further changes needed.
  * d/control: Set Rules-Requires-Root: no
    No root privileges needed for the package build.
  * d/control: Update the package descriptions
  * autopkgtest: Update testing setup to use pytest

 -- Carsten Schoenert <c.schoenert@t-online.de>  Mon, 21 Nov 2022 20:42:31 +0100

wtforms (2.2.1-6) unstable; urgency=medium

  [ Debian Janitor ]
  * Set field Upstream-Contact in debian/copyright.
  * Remove obsolete field Contact from debian/upstream/metadata (already present
    in machine-readable debian/copyright).
  * Update standards version to 4.1.5, no changes needed.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 21 Nov 2022 18:25:49 +0000

wtforms (2.2.1-5) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints. + python-wtforms-doc: Add Multi-Arch: foreign.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 22 Oct 2022 11:36:42 +0100

=== debian/control ===
Source: wtforms
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Orestis Ioannou <orestis@oioannou.com>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python3-all,
 python3-babel,
 python3-doc <!nodoc>,
 python3-email-validator <!nocheck>,
 python3-pallets-sphinx-themes <!nodoc>,
 python3-pytest <!nocheck>,
 python3-setuptools,
 python3-sphinx <!nodoc>,
 python3-sphinx-issues <!nodoc>,
 python3-sphinxcontrib-log-cabinet <!nodoc>,
Standards-Version: 4.6.1
Rules-Requires-Root: no
Homepage: http://wtforms.simplecodes.com/
Vcs-Git: https://salsa.debian.org/python-team/packages/wtforms.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/wtforms

Package: python-wtforms-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Multi-Arch: foreign
Description: Flexible forms validation and rendering library for Python (Documentation)
 WTForms is a flexible forms validation and rendering library for Python web
 development. It can work with whatever web framework and template engine
 you choose. It supports data validation, CSRF protection,
 internationalization (I18N), and more. There are various community libraries
 that provide closer integration with popular frameworks.
 .
 This package contains the Sphinx based HTML Documentation for WTForms.

Package: python3-wtforms
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python3-django,
 python3-django-localflavor,
 python3-sqlalchemy,
Description: Flexible forms validation and rendering library for Python 3
 WTForms is a flexible forms validation and rendering library for Python web
 development. It can work with whatever web framework and template engine
 you choose. It supports data validation, CSRF protection,
 internationalization (I18N), and more. There are various community libraries
 that provide closer integration with popular frameworks.
 .
 This package contains the module for Python 3.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE=1

include /usr/share/dpkg/pkg-info.mk

BUILD_DATE  = $(shell LC_ALL=C date -u "+%d %B %Y" -d "@$(SOURCE_DATE_EPOCH)")
SPHINXOPTS := -N -D html_last_updated_fmt="$(BUILD_DATE)"

export PYBUILD_NAME=wtforms
export PYBUILD_AFTER_INSTALL=rm -rf {destdir}/usr/lib/python3*/dist-packages/wtforms/locale/README.md
export PYBUILD_SYSTEM=distutils

%:
	dh $@ --with sphinxdoc,python3 --buildsystem=pybuild

override_dh_auto_test:
	dh_auto_test -- --system=custom --test-args="PYTHONPATH={build_dir} {interpreter} -m pytest"

override_dh_auto_build:
	pybabel compile -D wtforms -d src/wtforms/locale
	dh_auto_build

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=src python3 -m sphinx -b html $(SPHINXOPTS) docs $(CURDIR)/debian/python-wtforms-doc/usr/share/doc/python-wtforms-doc/html
	dh_sphinxdoc
endif

=== debian/watch ===
version=4

opts="mode=git, \
      compression=gz, \
      uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\.?\d*)$/$1~$2/, \
      dversionmangle=s/\+(dfsg|ds)(\.?\d+)?$//" \
https://github.com/wtforms/wtforms.git \
      refs/tags/@ANY_VERSION@

## wtforms 3.1.1

=== debian/changelog ===
wtforms (3.1.1-1) unstable; urgency=medium

  * Team upload.
  * [c00bbdc] New upstream version 3.1.1
  * [4ddd04b] d/control: Update and switch build dependencies
  * [aac36c0] d/rules: Drop --with option within default target
  * [2995089] d/rules: Adjust Sphinx based build
  * [84342dc] autopkgtest: Adjust setup due upstream changes
  * [a1261c8] d/control: Bump Standards-Version to 4.6.2

 -- Carsten Schoenert <c.schoenert@t-online.de>  Mon, 01 Jan 2024 11:34:45 +0100

=== debian/control ===
--- 
+++ 
@@ -6,18 +6,20 @@
 Priority: optional
 Build-Depends:
  debhelper-compat (= 13),
- dh-python,
+ dh-sequence-python3,
+ dh-sequence-sphinxdoc,
+ pybuild-plugin-pyproject,
  python3-all,
  python3-babel,
  python3-doc <!nodoc>,
  python3-email-validator <!nocheck>,
+ python3-hatchling,
  python3-pallets-sphinx-themes <!nodoc>,
  python3-pytest <!nocheck>,
- python3-setuptools,
  python3-sphinx <!nodoc>,
  python3-sphinx-issues <!nodoc>,
  python3-sphinxcontrib-log-cabinet <!nodoc>,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: http://wtforms.simplecodes.com/
 Vcs-Git: https://salsa.debian.org/python-team/packages/wtforms.git

## wtforms 3.1.2

=== debian/changelog ===
wtforms (3.1.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Tue, 30 Apr 2024 17:04:09 +0100

## wtforms 3.2.1

=== docs/requirements.txt ===
Sphinx~=7.0.0
Pallets-Sphinx-Themes~=2.2.0
sphinx-issues~=4.0.0
sphinxcontrib-log-cabinet~=1.0.1
python-dateutil~=2.8.2

=== debian/changelog ===
wtforms (3.2.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Wed, 23 Oct 2024 09:11:22 +0100

=== debian/control ===
--- 
+++ 
@@ -16,6 +16,7 @@
  python3-hatchling,
  python3-pallets-sphinx-themes <!nodoc>,
  python3-pytest <!nocheck>,
+ python3-setuptools,
  python3-sphinx <!nodoc>,
  python3-sphinx-issues <!nodoc>,
  python3-sphinxcontrib-log-cabinet <!nodoc>,

=== debian/rules ===
--- 
+++ 
@@ -10,10 +10,9 @@
 
 export PYBUILD_NAME=wtforms
 export PYBUILD_AFTER_INSTALL=rm -rf {destdir}/usr/lib/python3*/dist-packages/wtforms/locale/README.md
-export PYBUILD_SYSTEM=distutils
 
 %:
-	dh $@ --with sphinxdoc,python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
 override_dh_auto_test:
 	dh_auto_test -- --system=custom --test-args="PYTHONPATH={build_dir} {interpreter} -m pytest"
@@ -24,6 +23,7 @@
 
 override_dh_sphinxdoc:
 ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
-	PYTHONPATH=src python3 -m sphinx -b html $(SPHINXOPTS) docs $(CURDIR)/debian/python-wtforms-doc/usr/share/doc/python-wtforms-doc/html
+	PYTHONPATH=`dirname $$(find .pybuild/ -type d -name "wtforms*dist-info" | head -n1)` \
+	    python3 -m sphinx -b html $(SPHINXOPTS) docs $(CURDIR)/debian/python-wtforms-doc/usr/share/doc/python-wtforms-doc/html
 	dh_sphinxdoc
 endif

=== debian/tests/control ===
Tests:
 upstream
Depends:
 python3-all,
 python3-babel,
 python3-email-validator,
 python3-pytest,
 python3-wtforms,
Restrictions: allow-stderr

## wtforms sqlalchemy-0.4.2

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/WTForms-SQLAlchemy.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/WTForms-SQLAlchemy.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/WTForms-SQLAlchemy"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/WTForms-SQLAlchemy"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== docs/requirements.txt ===
Sphinx~=8.1.2
Pallets-Sphinx-Themes~=2.2.0
sphinx-issues~=5.0.0
sphinxcontrib-log-cabinet~=1.0.1
python-dateutil~=2.9.0.post0
